<template>
  <q-layout>
    <q-header style="background: white">
      <q-toolbar class="q-py-sm q-px-lg">
        <img src="/imgs/land-ho-logo.svg" height="80px" width="158px" alt="Land Ho logo"/>
        <q-space />
        <q-btn unelevated outline style="color: #7f36da" @click="signIn">
          <div style="color: black">Sign in</div>
        </q-btn>
      </q-toolbar>
    </q-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>
<script>
// import { userSession } from "boot/blockstack";
import { mapActions } from "vuex";

export default {
  data() {
    return {};
  },
  methods: {
    ...mapActions({
      setUser: "user/setUser",
    }),
    signIn() {
      this.$root.$emit("login");
    },
  },
};
</script>
